/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package dao;

import com.tecgraf.dao.FacadeJPA;
import java.util.List;
import negocio.Aluno;
import negocio.Disciplina;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author 42071020585
 */
public class AlunoDAOTest {

    static FacadeJPA facJPA;
    
    public AlunoDAOTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
        // identifica a Unidade de Persistência
        String persistUnitStr = "ExemploAulaPU";
        // inicializa Facade JPA
        facJPA = FacadeJPA.getInstance(persistUnitStr);
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
        // fecha Facade JPA
        System.out.println("\n");
        facJPA.shutdown();
    }

    @Before
    public void setUp() {
    }
    
    /**
     * Teste do método findByMatricula, da classe AlunoDAO.
     */
    /*@Test
    public void findByMatriculaTest() {
        Aluno a;
        AlunoDAO aDao = AlunoDAO.getInstance(facJPA);
        // Testa matrícula existente
        a = aDao.findByMatricula("11111");
        assertEquals(a.getMatricula(),"11111");
        
        // Testa matrícula não existente
        a = aDao.findByMatricula("99999");
        assertNull(a);
    }
*/
    /**
     * Teste do método findByMatricula, da classe AlunoDAO.
     */
    @Test
    public void findAllDisciplinasTest() {
        List<Disciplina> ld;
        AlunoDAO aDao = AlunoDAO.getInstance(facJPA);
        // Testa matrícula existente
        ld = aDao.findAllDisciplinas("11111");
        assertNotNull(ld);
        System.out.println(ld);
    }

    @After
    public void tearDown() {
    }

}